Page MenuHomeFreeBSD

devel/tcltls: Make libtls.h header tcl private
AbandonedPublic

Authored by brnrd on Sep 18 2015, 8:09 PM.

Details

Summary

Proposed commit message:

devel/tcltls: Make libtls.h header tcl private

  - Move libtls.h header to include/tlsX.Y dir
  - Fix conflict with security/libressl
  - Whilst here: Fix NO_SSL2/3 detection

PR:		202676
Differential_Revision: D????
Reviewed_by:	vsevolod (mentor), koobs (mentor)
Approved by:	vsevolod (mentor), koobs (mentor)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 716
Build 716: arc lint + arc unit

Event Timeline

brnrd updated this revision to Diff 8837.Sep 18 2015, 8:09 PM
brnrd retitled this revision from to devel/tcltls: Make libtls.h header tcl private.
brnrd updated this object.
brnrd edited the test plan for this revision. (Show Details)
brnrd added reviewers: koobs, vsevolod.
brnrd added a subscriber: gahr.
gahr requested changes to this revision.Sep 20 2015, 11:02 AM
gahr added a reviewer: gahr.

I don't like files not belonging to lang/tclXY being installed in directories owned by lang/tclXY. I suggest to either rename the file to tcltls.h or install it in include/${TCLPKG}.

This revision now requires changes to proceed.Sep 20 2015, 11:02 AM
gahr added a comment.EditedSep 21 2015, 5:33 PM

After looking into it, it is my opinion that the tls.h file is not meant to be used outside of the compilation phase of tcltls itself. I suggest to remove it altogether from the installation set. Here's my suggestion.

Index: devel/tcltls/Makefile
===================================================================
--- devel/tcltls/Makefile	(revision 397373)
+++ devel/tcltls/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	tcltls
 PORTVERSION=	1.6.7
+PORTREVISION=	1
 CATEGORIES=	devel tcl
 MASTER_SITES=	SF/tls/tls/${PORTVERSION}
 DISTNAME=	tls${PORTVERSION}-src
@@ -26,13 +27,14 @@
 
 TCLPKG=		tls${PORTVERSION}
 WRKSRC=		${WRKDIR}/${TCLPKG}
-PLIST_FILES=	include/tls.h \
-		lib/${TCLPKG}/libtls.so.1 \
+PLIST_FILES=	lib/${TCLPKG}/libtls.so.1 \
 		lib/${TCLPKG}/pkgIndex.tcl \
 		lib/${TCLPKG}/tls.tcl
 PORTDOCS=	*
 
 post-patch:
+	# Do not install tls.h
+	${REINPLACE_CMD} -e '/^PKG_HEADERS/s|^|#|' ${WRKSRC}/Makefile.in
 	${REINPLACE_CMD} -e \
 		's,package require tls.*,load ${WRKSRC}/libtls.so.1;\
 			source ${WRKSRC}/tls.tcl,' \
brnrd updated this revision to Diff 9253.Oct 8 2015, 6:22 PM
brnrd edited edge metadata.

Update patch as per Pietro's suggestion

This has maintainer approval as per

https://bugs.freebsd.org/202676
brnrd abandoned this revision.Oct 8 2015, 7:34 PM

This has been committed by the maintainer directly. See